#
# spec file for package zelda-xd2-mercuris-chess
#
# Copyright (c) 2018 The Packman Team.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define quest_name zelda_xd2_mercuris_chess
Name:           zelda-xd2-mercuris-chess
Version:        1.1.1
Release:        1.7
Summary:        Second April fools game from the Solarus Team
License:        GPL-3.0-only AND CC-BY-SA-4.0 AND NonFree
Group:          Amusements/Games/RPG
URL:            https://www.solarus-games.org/fr/games/the-legend-of-zelda-xd2-mercuris-chess
Source0:        https://gitlab.com/solarus-games/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.bz2
# PATCH-FIX-UPSTREAM zelda-xd2-mercuris-chess-1.0.6-dont-require-cpp-compiler.patch -- it's not written in C++
Patch0:         zelda-xd2-mercuris-chess-1.0.6-dont-require-cpp-compiler.patch
# PATCH-FIX-UPSTREAM zelda-xd2-mercuris-chess-1.0.6-reproducible-build.patch -- attempt to make the build reproducible
Patch1:         zelda-xd2-mercuris-chess-1.0.6-reproducible-build.patch
BuildRequires:  cmake
BuildRequires:  zip
Requires:       solarus >= 1.6
BuildArch:      noarch

%description
Zelda XD2: Mercuris Chess is the sequel of the first XD
parodic game, and was also released on April 1st, in 2017
this time.

You do not need to have played the first XD game to enjoy
Mercuris Chess. However, to appreciate the game’s
introduction, you need to know that, in the first episode,
Link locked Zelda up in his cave after a drinking night.

The story takes place some months after that terrible night.
While Link was trying to make up for his fault, a very rich
business man named Mr Grump took over the kingdom and bought
everything.

%prep
%autosetup -n %{name}-v%{version}

# Touch files to ensure zip will produce a deterministic output
# See https://reproducible-builds.org/docs/archives/
if [ -n "$SOURCE_DATE_EPOCH" ]; then
    find data -print0 | 
        xargs -0r touch --no-dereference --date="@${SOURCE_DATE_EPOCH}"
fi

%build
%cmake
%cmake_build

%install
%cmake_install

%files
%doc readme.md changelog.txt
%license license.txt
%{_bindir}/%{quest_name}
%dir %{_datadir}/solarus/
%dir %{_datadir}/solarus/%{quest_name}
%{_datadir}/solarus/%{quest_name}/data.solarus

%changelog
* Sat Aug 10 2019 antoine.belvire@opensuse.org
- Update to version 1.1.1:
  * Fix Solarus format to 1.6.
  * Fix getting stuck on a stone in water near Rupee Island (#141).
  * Fix ghostly proprietor sprite displaying issue (#142).
- Changes from version 1.1.0:
  * Upgrade to Solarus 1.6.
  * Add Spanish translation by Minefran12 (#22).
  * Fix English language not set by default (#129).
- Update spec file:
  * Update URL.
  * Update Source tag: Repository is now hosted at GitLab.
  * Use cmake_build and cmake_install macros.
* Mon Apr 23 2018 antoine.belvire@opensuse.org
- Initial version: 1.0.6.
